Bug 1657966 - copy_file_range.2 has incorrect function decl
Summary: copy_file_range.2 has incorrect function decl
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 20:44 UTC by Kaleb KEITHLEY
Modified: 2020-11-24 18:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:07:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2018-12-10 20:44:53 UTC
Description of problem:

copy_file_range.2 has:

       ssize_t copy_file_range(int fd_in, loff_t *off_in,
                               int fd_out, loff_t *off_out,
                               size_t len, unsigned int flags);
/usr/include/unistd.h has:

ssize_t copy_file_range (int __infd, __off64_t *__pinoff,
                         int __outfd, __off64_t *__poutoff,
                         size_t __length, unsigned int __flags);



Note loff_t versus __off64_t

AFAICT loff_t is a kernel type that is not usually used in user space.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Kaleb KEITHLEY 2018-12-10 20:54:10 UTC
And it's causing confusion for gluster devs who are copying the man page but are puzzled by the discrepancy between the man page and the decl in <unistd.h>

Comment 2 Nikola Forró 2019-01-07 14:00:53 UTC
copy_file_range.2 man page describes Linux system call (section 2 - system calls (functions provided by the kernel)), so I believe the use of loff_t is appropriate.
__off64_t seems to be a type private to glibc.

Comment 3 Ben Cotton 2019-08-13 16:49:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2020-11-03 15:06:08 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-11-24 18:07:20 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.